# migrate_generator_export
Module to generate source CSV files to be processed by migrate_generator

## Basic idea

Main idea here is to **provide funcionality for generating source csv files**.

------------
## Administration

1. Provide proper settings on /admin/config/content/migrate-generator-export page.

2. Create neccessary configuration export entities on /admin/config/content/migrate-generator-export/types page.
For each entity type and bundle we may have configuration. which will be used for export.
This configuration may have fields, which will be included in export.

3. Perform export on /admin/content/migrate-generator-export page.
There is field `Include all referenced content`. With this field checked, module will export also content,
 related via entity reference fields, if any of them are included in export.

## Drush commands

`migrate_generator_export:export %entity_type_id %entity_bundle %id`

Where %entity_type_id - Entity type ID, e.g. node, %entity_bundle - bundle, e.g. article, %id - optionally provided ID of content to be exported.

This command generates CSV file with name `{entity_type_id}-{entity_bundle}.csv`.

`migrate_generator_export:export_related %entity_type_id %entity_bundle`

Where %entity_type_id - Entity type ID, e.g. node, %entity_bundle - bundle, e.g. article.

This command generates CSV file with name `{entity_type_id}-{entity_bundle}.csv` and all related content.
